#!/bin/bash

dir=../euler-patch/
task=187630
#cve=CVE-2023-20569
cve=
level=2
ret=result.txt

echo -n > $ret

# handle cve

if [ -z $cve ]; then
	cve_cmd=""
else
	cve_cmd="-c $cve -l $level"
fi

for file in `ls $dir | sort`
do
	# get commit
	commit_id=$(cat $dir/$file | grep -A1 "^from" | grep -oE '[[:xdigit:]]{40}')
	if [ -z $commit_id ]; then
		echo "FAIL_NO_COMMIT,$file" | tee -a $ret
		continue
	fi

	# contains conflicts ?
#	conflicts=$(cat $dir/$file | grep "Conflicts:")

#	if [ $? -eq 0 ]; then
#		# try backport from upstream directly
#		bash ./scripts/sync-stable -t $task -c $cve -l $level $commit_id
#		if [ $? -eq 0 ]; then
#			echo "SUCC_UPSTREAM,$file" | tee -a $ret
#			continue
#		fi
#		git cherry-pick --abort
#	fi

#	#  there are conflicts

	git am $dir/$file
	if [ $? -ne 0 ];then
		git am --abort
		echo "FAIL_EULER,$file" | tee -a $ret
		continue
	else
		bash ./scripts/sync-stable -i -t $task $cve_cmd --body-style=euler $commit_id
		echo "SUCC_EULER,$file" | tee -a $ret
	fi
done
