#!/bin/bash

task=$1
# fs: git log --oneline v5.10.159..v5.10.163~1 fs/  block/ drivers/scsi/ drivers/md/ > ../v160-v163-fs.log
lists=$2

result=result.txt
log=log.txt

echo -n > $result

cat $lists | while read commit_header
do
	commit=`echo $commit_header | awk '{print $1}'`
	msg=$(bash ./scripts/sync-stable -t $task $commit)
	if [ $? -ne 0 ]; then
		git cherry-pick --abort
	fi
	echo $msg >> $log

	echo $msg | grep -o "Successed" && echo "success,$commit_header" >> $result && continue
	echo $msg | grep -o "backported" && echo "merged,$commit_header" >> $result && continue
	echo $msg | grep -o "wrong" && echo "conflict,$commit_header" >> $result
done
