#!/bin/bash

dir=../kernel-4.19.90-patch/

file_list=/tmp/sync-list.txt
ls $dir | sort > $file_list
result=check-in-tree.log

echo -n > $result

cat $file_list | while read file
do
	upstream_info=`cat $dir/$file | grep -E "commit.*upstream"`
	if [ $? -eq 0 ]; then
		commit=`echo $upstream_info | awk '{print $2}'`
		bash scripts/backport-tools/test-commit-in-tree $commit
		if [ $? -eq 0 ]; then
			echo "IN_TREE $file $commit" | tee -a $result
		else
			echo "NOT_INTREE $file $commit" | tee -a $result
		fi
	else
		git am $dir/$file
		if [ $? -eq 0 ]; then
			echo "AM_DONE $file XXX" | tee -a $result
		else
			#git am --skip
			echo "AM_ERR $file XXX" | tee -a $result
		fi
	fi
done
